summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-simulation/flightgear
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-simulation/flightgear')
-rw-r--r--games-simulation/flightgear/Manifest1
-rw-r--r--games-simulation/flightgear/files/0001-flightgear-3.4.0-cmake.patch30
-rw-r--r--games-simulation/flightgear/files/0002-flightgear-3.4.0-cmake.patch54
-rw-r--r--games-simulation/flightgear/files/ac3d.vim1
-rw-r--r--games-simulation/flightgear/files/nasal.vim1
-rw-r--r--games-simulation/flightgear/flightgear-3.4.0.ebuild138
-rw-r--r--games-simulation/flightgear/metadata.xml18
7 files changed, 243 insertions, 0 deletions
diff --git a/games-simulation/flightgear/Manifest b/games-simulation/flightgear/Manifest
new file mode 100644
index 000000000000..7988a9ffd062
--- /dev/null
+++ b/games-simulation/flightgear/Manifest
@@ -0,0 +1 @@
+DIST flightgear-3.4.0.tar.bz2 7522457 SHA256 b5645d05b50728a89f091292bc557f440d8f8719dd9cebf7f5bf3fa8ea795780 SHA512 10626d00b34255753dc5a5c82076909c296219472faf51c38460cc357ac014b40bd127454f28b2d857f1a1a299716430fd8f04dc7881552b3c24dee6eb616b1e WHIRLPOOL 636ca7e012175141bc4b081cb6137e5348d49b873d241c5d0f1ed0a2581b32d2f23f4fe0ed97d5a1b72440afd14687e5de4e6ebeeaf07b4e854b0ca47875b82f
diff --git a/games-simulation/flightgear/files/0001-flightgear-3.4.0-cmake.patch b/games-simulation/flightgear/files/0001-flightgear-3.4.0-cmake.patch
new file mode 100644
index 000000000000..e14920b246c2
--- /dev/null
+++ b/games-simulation/flightgear/files/0001-flightgear-3.4.0-cmake.patch
@@ -0,0 +1,30 @@
+From 06a260822c0eb10f47533a2cbf5cbbc968878c17 Mon Sep 17 00:00:00 2001
+From: James Turner <zakalawe@mac.com>
+Date: Tue, 17 Mar 2015 23:33:57 +0000
+Subject: [PATCH] Make 3.2.1 fix: make thread check platform specific.
+
+---
+ CMakeLists.txt | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 8847614..c881c32 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -109,6 +109,8 @@ IF(APPLE)
+ SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
+ elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR
+ ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
++ find_package(Threads REQUIRED)
++
+ set(USE_DBUS_DEFAULT 1)
+
+ find_package(UDev)
+@@ -230,7 +232,6 @@ endif(EVENT_INPUT)
+ # check required dependencies
+ find_package(Boost REQUIRED)
+ find_package(ZLIB REQUIRED)
+-find_package(Threads REQUIRED)
+ find_package(OpenGL REQUIRED)
+ find_package(OpenAL REQUIRED)
+ find_package(OpenSceneGraph 3.2.0 REQUIRED
diff --git a/games-simulation/flightgear/files/0002-flightgear-3.4.0-cmake.patch b/games-simulation/flightgear/files/0002-flightgear-3.4.0-cmake.patch
new file mode 100644
index 000000000000..2151acdbbcf4
--- /dev/null
+++ b/games-simulation/flightgear/files/0002-flightgear-3.4.0-cmake.patch
@@ -0,0 +1,54 @@
+From 14405fe2e397b9a6ab9b004cb8c7459eeb41ec59 Mon Sep 17 00:00:00 2001
+From: "Rebecca N. Palmer" <rebecca_palmer@zoho.com>
+Date: Fri, 3 Apr 2015 19:15:52 +0100
+Subject: [PATCH] Fix compile with CMake 3.2.1, by Kevin Seroux
+
+Explicitly link X11, as this no longer comes with OpenGL
+---
+ CMakeLists.txt | 1 +
+ src/Main/CMakeLists.txt | 4 +++-
+ utils/fgviewer/CMakeLists.txt | 4 ++++
+ 3 files changed, 8 insertions(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index c881c32..c443f58 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -110,6 +110,7 @@ IF(APPLE)
+ elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR
+ ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+ find_package(Threads REQUIRED)
++ find_package(X11 REQUIRED)
+
+ set(USE_DBUS_DEFAULT 1)
+
+diff --git a/src/Main/CMakeLists.txt b/src/Main/CMakeLists.txt
+index 949b379..4b6926e 100644
+--- a/src/Main/CMakeLists.txt
++++ b/src/Main/CMakeLists.txt
+@@ -130,7 +130,9 @@ endif()
+ if (CRASHRPT_FOUND)
+ target_link_libraries(fgfs ${CRASHRPT_LIBRARY})
+ endif()
+-
++if(X11_FOUND)
++ target_link_libraries(fgfs ${X11_LIBRARIES})
++endif()
+ target_link_libraries(fgfs
+ ${SQLITE3_LIBRARY}
+ ${SIMGEAR_LIBRARIES}
+diff --git a/utils/fgviewer/CMakeLists.txt b/utils/fgviewer/CMakeLists.txt
+index 165be74..bfc52ad 100644
+--- a/utils/fgviewer/CMakeLists.txt
++++ b/utils/fgviewer/CMakeLists.txt
+@@ -42,6 +42,10 @@ else()
+ endif()
+
+ add_executable(fgviewer ${FGVIEWER_SOURCES} ${FGVIEWER_RTI_SOURCES})
++if(X11_FOUND)
++ target_link_libraries(fgviewer ${X11_LIBRARIES})
++endif()
++
+ target_link_libraries(fgviewer
+ ${SIMGEAR_LIBRARIES}
+ ${OPENSCENEGRAPH_LIBRARIES}
diff --git a/games-simulation/flightgear/files/ac3d.vim b/games-simulation/flightgear/files/ac3d.vim
new file mode 100644
index 000000000000..6477d949b762
--- /dev/null
+++ b/games-simulation/flightgear/files/ac3d.vim
@@ -0,0 +1 @@
+au BufRead,BufNewFile *.ac set filetype=ac3d
diff --git a/games-simulation/flightgear/files/nasal.vim b/games-simulation/flightgear/files/nasal.vim
new file mode 100644
index 000000000000..65a2ed17fc26
--- /dev/null
+++ b/games-simulation/flightgear/files/nasal.vim
@@ -0,0 +1 @@
+au BufRead,BufNewFile *.nas set filetype=nasal
diff --git a/games-simulation/flightgear/flightgear-3.4.0.ebuild b/games-simulation/flightgear/flightgear-3.4.0.ebuild
new file mode 100644
index 000000000000..f0fe697574fc
--- /dev/null
+++ b/games-simulation/flightgear/flightgear-3.4.0.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit games cmake-utils bash-completion-r1
+
+DESCRIPTION="Open Source Flight Simulator"
+HOMEPAGE="http://www.flightgear.org/"
+SRC_URI="mirror://flightgear/Source/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="dbus debug examples +jsbsim oldfdm qt5 test +udev +utils vim-syntax +yasim"
+
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ >=dev-games/openscenegraph-3.2.0[png]
+ ~dev-games/simgear-${PV}
+ media-libs/openal
+ media-libs/speex
+ media-sound/gsm
+ sys-libs/zlib
+ x11-libs/libX11
+ dbus? ( >=sys-apps/dbus-1.6.18-r1 )
+ qt5? (
+ >=dev-qt/qtcore-5.4.1:5
+ >=dev-qt/qtgui-5.4.1:5
+ >=dev-qt/qtwidgets-5.4.1:5
+ )
+ udev? ( virtual/udev )
+ utils? (
+ media-libs/freeglut
+ media-libs/libpng:0
+ virtual/opengl
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.44
+ >=media-libs/plib-1.8.5
+"
+RDEPEND="${COMMON_DEPEND}
+ ~games-simulation/${PN}-data-${PV}
+"
+
+PATCHES=(
+ "${FILESDIR}/0001-${P}-cmake.patch"
+ "${FILESDIR}/0002-${P}-cmake.patch"
+)
+
+DOCS=(AUTHORS ChangeLog NEWS README Thanks)
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX=${GAMES_PREFIX}
+ -DENABLE_FLITE=OFF
+ -DENABLE_PROFILE=OFF
+ -DENABLE_RTI=OFF
+ -DFG_DATA_DIR="${GAMES_DATADIR}"/${PN}
+ -DSIMGEAR_SHARED=ON
+ -DSP_FDMS=OFF
+ -DSYSTEM_FLITE=ON
+ -DSYSTEM_HTS_ENGINE=ON
+ -DSYSTEM_SPEEX=ON
+ -DSYSTEM_GSM=ON
+ -DSYSTEM_SQLITE=ON
+ $(cmake-utils_use_use dbus)
+ $(cmake-utils_use_enable jsbsim)
+ $(cmake-utils_use jsbsim JSBSIM_TERRAIN)
+ $(cmake-utils_use_enable oldfdm LARCSIM)
+ $(cmake-utils_use_enable oldfdm UIUC_MODEL)
+ $(cmake-utils_use_enable qt5 QT)
+ $(cmake-utils_use test LOGGING)
+ $(cmake-utils_use_enable test TESTS)
+ $(cmake-utils_use udev EVENT_INPUT)
+ $(cmake-utils_use_enable utils FGCOM)
+ $(cmake-utils_use_enable utils FGELEV)
+ $(cmake-utils_use_enable utils FGJS)
+ $(cmake-utils_use_with utils FGPANEL)
+ $(cmake-utils_use_enable utils FGVIEWER)
+ $(cmake-utils_use_enable utils GPSSMOOTH)
+ $(cmake-utils_use_enable utils JS_DEMO)
+ $(cmake-utils_use_enable utils METAR)
+ $(cmake-utils_use_enable utils TERRASYNC)
+ $(cmake-utils_use_enable yasim)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # Install icons and menu entry
+ local s
+ for s in 16 22 24 32 48 64 128; do
+ doicon -s ${s} icons/${s}x${s}/apps/${PN}.png
+ use utils && doicon -s ${s} icons/${s}x${s}/apps/fgcom.png
+ done
+ doicon -s scalable icons/scalable/${PN}.svg
+ use utils && doicon -s scalable icons/scalable/fgcom.svg
+
+ newmenu package/${PN}.desktop ${PN}.desktop
+
+ # Install bash completion (TODO zsh)
+ # Uncomment below when scripts stops writing files...
+# sed -e "s|/usr/local/share/FlightGear|${GAMES_DATADIR}/${PN}|" \
+# -i scripts/completion/fg-completion.bash || die 'unable to replace FG_ROOT'
+# newbashcomp scripts/completion/fg-completion.bash ${PN}
+
+ # Install examples and other misc files
+ if use examples; then
+ insinto /usr/share/doc/"${PF}"/examples
+ doins -r scripts/java scripts/perl scripts/python
+ insinto /usr/share/doc/"${PF}"/examples/c++
+ doins -r scripts/example/*
+ insinto /usr/share/doc/"${PF}"/tools
+ doins -r scripts/atis scripts/tools/*
+ fi
+
+ # Install nasal script syntax
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins scripts/syntax/{ac3d,nasal}.vim
+ insinto /usr/share/vim/vimfiles/ftdetect/
+ doins "${FILESDIR}"/{ac3d,nasal}.vim
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ if use qt5; then
+ einfo "To use launcher, run fgfs with '--launcher' parameter"
+ fi
+}
diff --git a/games-simulation/flightgear/metadata.xml b/games-simulation/flightgear/metadata.xml
new file mode 100644
index 000000000000..cdd7400022f7
--- /dev/null
+++ b/games-simulation/flightgear/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<maintainer>
+ <email>reavertm@gentoo.org</email>
+ <name>Maciej Mrozowski</name>
+</maintainer>
+<use>
+ <flag name="dbus">Enable screensaver DBus interaction</flag>
+ <flag name="jsbsim">Enables JSBSim Flight Dynamics Model (default)</flag>
+ <flag name="oldfdm">Enables deprecated Flight Dynamics Models (LaRCsim, UIUC)</flag>
+ <flag name="qt5">Builds Qt5 launcher application</flag>
+ <flag name="udev">Enables event-based Input devices through <pkg>virtual/udev</pkg></flag>
+ <flag name="utils">Builds various utilities (fgpanel, terrasync, fgviewer among others)</flag>
+ <flag name="yasim">Enables YASim Flight Dynamics Model</flag>
+</use>
+</pkgmetadata>